DECLARE
     itemExists NUMBER;
     column_exists exception;
     pragma exception_init (column_exists , -01430);
BEGIN
     itemExists := 0;

     SELECT COUNT(CONSTRAINT_NAME) INTO itemExists 
     FROM ALL_CONSTRAINTS
     WHERE UPPER(CONSTRAINT_NAME) = UPPER('TARIFA_UNICA');

     IF itemExists > 0 THEN
          EXECUTE IMMEDIATE 'ALTER TABLE TARIFA DROP CONSTRAINT TARIFA_UNICA';
     END IF;

     exception when column_exists then null;
END;