declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AUDITORIA
    (
        AUDITORIA_ID NUMBER(15) NOT NULL,
		SISTEMA_ID NUMBER(1),
		AUDFUNCIONALIDADE_ID NUMBER(5),
		ACAO VARCHAR2(1), 
        CHAVE VARCHAR2(100),
        CHAVE_ID NUMBER(15),
        DESCRICAO VARCHAR2(255),
        ACTIVO NUMBER(1),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7),
        PRIMARY KEY (AUDITORIA_ID)
    )';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE AUDITORIA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AUDITORIA_FUNCIONALIDADE
    (
		AUDFUNCIONALIDADE_ID NUMBER(5),
        DESCRICAO VARCHAR2(100),
        PRIMARY KEY (AUDFUNCIONALIDADE_ID)
    )';
	
  exception when object_exists then null;
end;
/

declare
    object_exists  exception;
    pragma exception_init (object_exists  , -00001);
begin
    execute immediate 'Insert into AUDITORIA_FUNCIONALIDADE (AUDFUNCIONALIDADE_ID, DESCRICAO) values (1,''SERVICO'')';
    execute immediate 'Insert into AUDITORIA_FUNCIONALIDADE (AUDFUNCIONALIDADE_ID, DESCRICAO) values (2,''LOCALIDADE SERVICO'')';

	exception when object_exists  then null;
end;
