declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE TABLE AGRUPAMENTO_PARADA 
   (	
    AGRUPAMENTOPARADA_ID NUMBER(7,0) NOT NULL ENABLE, 
	DESCAGRUPAMENTOPARADA VARCHAR2(180 BYTE) NOT NULL ENABLE, 
	CVEAGRUPAMENTOPARADA VARCHAR2(30 BYTE), 
	USUARIO_ID NUMBER(7,0) , 
	FECMODIF DATE, 
	ACTIVO NUMBER(1,0),
	CONSTRAINT "PK_AGRUPAMENTOPARADA" PRIMARY KEY ("AGRUPAMENTOPARADA_ID"),
    CONSTRAINT "FK_AGRUPAMENTOPARADA_USUARIO" FOREIGN KEY ("USUARIO_ID") REFERENCES USUARIO("USUARIO_ID")
	)';
 exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE SEQUENCE  AGRUPAMENTOPARADA_SEQ  MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE';
 exception when object_exists then null;
end;
/

declare 
  column_exists exception;
  pragma exception_init (column_exists , -01430);
begin 
  execute immediate 
  'ALTER TABLE PARADA ADD AGRUPAMENTOPARADA_ID NUMBER(7,0)';
  exception when column_exists then null;
end;
/

declare
  dup_val_on_index  exception;
  except_02275  exception;
  pragma exception_init (dup_val_on_index  , -01430);
  pragma exception_init (except_02275  , -02275);
begin
  execute immediate 'ALTER TABLE PARADA ADD CONSTRAINT FK_PARADA_AGRUPAMENTOPARADA FOREIGN KEY (AGRUPAMENTOPARADA_ID) REFERENCES AGRUPAMENTO_PARADA (AGRUPAMENTOPARADA_ID)'; 
  exception 
    when dup_val_on_index  then null;
    when except_02275  then null;
end;
/


declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID)
        VALUES (FUNCION_SISTEMA_SEQ.nextval, 1, ''ADM > ESQUEMA OPERACIONAL > AGRUPAR LOCALIDADES>> CADASTRA OS AGRUPAMENTOS DE PARADA'',
        ''COM.RJCONSULTORES.ADMINISTRACION.GUI.ESQUEMAOPERACIONAL.MENU.AGRUPARPARADAS'', 1,
        SYSDATE, -1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;

