declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE GP_PRICING_PRIORIDADE
	(PRICINGPRIORIDADE_ID NUMBER(7,0) NOT NULL ENABLE,
	RUTA_ID NUMBER(7,0),
	ACTIVO NUMBER(1,0),
	FECMODIF DATE,
	USUARIO_ID NUMBER(7,0),
	CONSTRAINT PK_GP_PRICING_PRIORIDADE PRIMARY KEY (PRICINGPRIORIDADE_ID)
   )';
  exception when object_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE SEQUENCE GP_PRICING_PRIORIDADE_SEQ MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
