declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
	'CREATE TABLE EMPRESA_SICFE_CONFIG (
		  EMPRESASICFECONFIG_ID NUMBER(7) NOT NULL,
          EMPRESA_ID NUMBER(7,0), 
		  CHAVE  VARCHAR2(100) NULL, 
		  VALOR VARCHAR2(150) NULL,
		  ACTIVO NUMBER(1),
          FECMODIF DATE,
          USUARIO_ID NUMBER(7),
		  PRIMARY KEY ( EMPRESASICFECONFIG_ID )
    )';
	
  exception when table_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "EMPRESA_SICFE_CONFIG_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE INDEX IDX_SICFE_CHAVE ON EMPRESA_SICFE_CONFIG (EMPRESA_ID, CHAVE)';
     exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -01430);
begin
	execute immediate 'ALTER TABLE FACTURACION_SICFE ADD (EMPRESA_ID NUMBER(7))';	
    exception when object_exists then null;
end;
/