declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE CLIENTE_CORPORATIVO (	
    "CLIENTECORPORATIVO_ID" NUMBER(7,0) PRIMARY KEY,
	"EMPRESA_ID" NUMBER(7,0) NOT NULL ENABLE,	 
	"IDENTIFICACAO" NUMBER(9,0),
	"NOMCLIENTECORP" VARCHAR2(255) NULL,
	"DATA_CRIACAO" DATE ,
	"LOGRADOURO"  VARCHAR2(255) NULL,	
	"NUMERO"  VARCHAR2(6) NULL,
	"BAIRRO"  VARCHAR2(255) NULL,
	"COMPLEMENTO"  VARCHAR2(100) NULL,
	"CEP"  VARCHAR2(20) NULL,
	"TELEFONE"  VARCHAR2(20) NULL,
	"EMAIL"  VARCHAR2(150) NULL,
	"CIUDAD_ID"  NUMBER(7,0),
	"USUARIO_ID" NUMBER(7,0), 
	"ACTIVO" NUMBER(1,0), 
	"FECMODIF" DATE ,
	FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA(EMPRESA_ID)
   )';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "CLIENTE_CORPORATIVO_SEQ" MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER NOCYCLE';
  exception when object_exists then null;
end;