declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE TABLE PRICING_CTRL (
       PRICINGCTRL_ID       NUMBER(7) NOT NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (PRICINGCTRL_ID)
  )';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE PRICING_CTRL_SEQ MINVALUE 1 MAXVALUE 9999999 INCREMENT BY 1 START WITH 1';
  exception when object_exists then null;
end;
/
declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'Insert into FUNCION_SISTEMA (FUNCIONSISTEMA_ID,SISTEMA_ID,NOMBFUNCION,DESCRUTA,ACTIVO,FECMODIF,USUARIO_ID) 
values (FUNCION_SISTEMA_SEQ.nextval,''1'',''ADM > PRICING > CONFIGURACAO'',''COM.RJCONSULTORES.ADMINISTRACION.GUI.PRICING.MENU.CONFIGURACAO'',
''1'',sysdate,''-1'')';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;