--CRIA NOVA COLUNA
declare 
  column_exists exception;
  pragma exception_init (column_exists , -01430);
begin 
  execute immediate 'ALTER TABLE TARJETA_FIDELIDAD ADD (NUMTARJETA_BACKUP VARCHAR(30))';
  exception when column_exists then null;
end;
/
-- COPIA OS VALORES
declare
  dup_val_on_index  exception;
  except_02291  exception;
  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'UPDATE TARJETA_FIDELIDAD SET NUMTARJETA_BACKUP = NUMTARJETA';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/
--LIMPA O COLUNA
declare
  dup_val_on_index  exception;
  except_02291  exception;
  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'UPDATE TARJETA_FIDELIDAD SET NUMTARJETA = NULL';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/
--ALTERA A COLUNA
declare 
  column_exists exception;
  pragma exception_init (column_exists , -01430);
begin 
  execute immediate 'ALTER TABLE TARJETA_FIDELIDAD MODIFY (NUMTARJETA VARCHAR(30))';
  exception when column_exists then null;
end;
/
--ATUALIZA A COLUNA ANTIGA COM OS VALORES DA NOVA
declare
  dup_val_on_index  exception;
  except_02291  exception;
  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 'UPDATE TARJETA_FIDELIDAD SET NUMTARJETA = NUMTARJETA_BACKUP';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;
/