declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE AJUSTE_CAJA_LOG (
       AJUSTECAJALOG_ID     NUMBER(15) NOT NULL,
	   CAJA_ID				NUMBER(15) NULL,
	   IND_CAJA             NUMBER(1) NULL,
	   IND_CAJA_FP          NUMBER(1) NULL,
       USUARIO_ID           NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       PRIMARY KEY (AJUSTECAJALOG_ID)
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE AJUSTE_CAJA_LOG_SEQ MINVALUE 1 MAXVALUE 999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
  	'CREATE INDEX IDX_CAJA_AJ_LOG ON AJUSTE_CAJA_LOG (CAJA_ID)';	
  exception when object_exists then null;
end;
/
declare
    dup_val_on_index exception;
    pragma exception_init (dup_val_on_index  , -00001);
begin
    execute immediate 'INSERT INTO CONSTANTE (CONSTANTE_ID, NOMBCONSTANTE, DESCCONSTANTE, VALORCONSTANTE, INDTIPOCONSTANTE, INDMANTENIMIENTOUSUARIO, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (CONSTANTE_SEQ.nextval, ''PERMITE_AJUSTE_CAIXA_ANTES_FECHAMENTO'', ''PERMITE AJUSTE DO CAIXA ANTES DO FECHAMENTO'', ''false'', ''1'', ''1'', ''1'', sysdate, ''1'')';
  exception when dup_val_on_index  then null;
end;
