declare
  dup_val_on_index  exception;
  except_02291  exception;

  pragma exception_init (dup_val_on_index  , -00001);
  pragma exception_init (except_02291  , -02291);
begin
  execute immediate 
  'INSERT INTO FUNCION_SISTEMA (FUNCIONSISTEMA_ID, SISTEMA_ID, NOMBFUNCION, DESCRUTA, ACTIVO, FECMODIF, USUARIO_ID) 
	VALUES (FUNCION_SISTEMA_SEQ.nextVal, 1, ''ADM > CATALOGO > PUNTO VENTA > PERMITE INSERIR MOTIVO DA INSERCAO/EXCLUSAO DA FORMA DE PAGAMENTO'', 
	''COM.RJCONSULTORES.ADMINISTRACION.PUNTOVENTA.PERMITEINSERIMOTIVOFORMAPAGO'', 1, SYSDATE, 1)';
  exception 
    when dup_val_on_index  then null;
    when except_02291  then null;
end;

/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE HIST_FORMAPAGO_PUNTOVENTA(
        "HIST_FORMAPAGO_PUNTOVENTA_ID" NUMBER(15,0) NOT NULL ENABLE,
		"PUNTOVENTA_ID" NUMBER(7,0),
		"FORMAPAGO_ID" NUMBER(7,0),
        "IND_INCLUSAO" NUMBER (1,0),
        "MOTIVO" VARCHAR2(100), 
        "FEC_ALTERACAO" DATE,     
        "ACTIVO" NUMBER(1,0), 
        "FECMODIF" DATE, 
        "USUARIO_ID" NUMBER(7,0),
        "EMPRESA_ID" NUMBER(7,0),
        CONSTRAINT "PK_HIST_FORMAPAGO_PUNTOVENTA" PRIMARY KEY ("HIST_FORMAPAGO_PUNTOVENTA_ID"),
        CONSTRAINT "FK_HIST_FORMAPAGO_PUNTOVENTA" FOREIGN KEY("PUNTOVENTA_ID") REFERENCES PUNTO_VENTA("PUNTOVENTA_ID")
    )';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE HIST_FORMAPAGOPUNTOVENTA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;

