DO $$
BEGIN
CREATE TABLE SECRETARIA_RUTA (
       SECRETARIARUTA_ID    INTEGER NOT NULL,
       SECRETARIA_ID        NUMBER(7) NULL,
       RUTA_ID              NUMBER(7) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (SECRETARIARUTA_ID), 
       FOREIGN KEY (RUTA_ID) REFERENCES RUTA, 
       FOREIGN KEY (SECRETARIA_ID) REFERENCES SECRETARIA
	);

  CREATE SEQUENCE SECRETARIARUTA_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;

  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;